Request a Bank Account IBAN Verification
On this page, you will learn how to initiate a new Bank Account IBAN Verification using the API.
To initiate a new Bank Account IBAN Verification, you have two options :
- Send the IBAN along with the expected holder's details.
- Send a File containing the person's banking details : such as a RIB in France along with the expected holder's details.
To initiate a new Bank Account IBAN Verification with an IBAN along you can use the following endpoint :
POST /verifications/bank_account_lookups
curl --location --request POST '{baseUrl}/verifications/bank_account_lookups' \
--header 'Authorization: Bearer {apiKey}' \
--header "Content-Type: application/json" \
-d '{
"iban": "FR8610559870736553282944457",
"natural_person": {
"first_name": "John",
"last_name": "Doe"
}
}' curl --location --request POST '{baseUrl}/verifications/bank_account_lookups' \
--header 'Authorization: Bearer {apiKey}' \
--header "Content-Type: application/json" \
-d '{
"iban": "FR8610559870736553282944457",
"legal_person": {
"company_name": "Youtrust"
}
}'{
"id": "4fe46d9a-ef9c-4f1e-87c3-fb8b00b1f693",
"workspace_id": "6ed2772f-8d7e-4f67-ab2a-790a1dce2adc",
"created_at": "2025-07-25T09:41:08+00:00",
"updated_at": "2025-07-25T09:41:08+00:00",
"status": "pending",
"status_codes": [],
"data": {
"extracted_from_document": {
"iban": null
},
"account_holder": null
}
}To verify an IBAN whose holder is a natural person
| JSON field | Type | Description |
|---|---|---|
| iban | string | The International Bank Account Number (IBAN) to verify. |
| [natural_person] first_name | string | The first name of the bank account holder. The combined length of first_name and last_name must be less than 140 characters.See Name formatting requirements for the full rules. |
| [natural_person] last_name | string | The last name of the bank account holder. The combined length of first_name and last_name must be less than 140 characters.See Name formatting requirements for the full rules. |
| workspace_id | string | Scopes the verification to a specific workspace. Defaults to the main workspace if not specified. |
In the response, you'll find the id. This value is required to retrieve the verification results.
To verify an IBAN whose holder is a legal person
| JSON field | Type | Description |
|---|---|---|
iban | string | The International Bank Account Number (IBAN) to verify. |
[legal_person] company_name | string | The name of the company holding the bank account, matched against the name the bank holds for the account holder. Maximum 140 characters. See Name formatting requirements for the full rules. |
workspace_id | string | Scopes the verification to a specific workspace. Defaults to the main workspace if not specified. |
natural_personandlegal_personare mutually exclusiveEvery request must carry exactly one of them. Sending both, or neither, returns a
400error.
To verify a Bank Account via a File
To initiate a new Bank Account IBAN Verification via a file you will need to specify a file parameter on the following endpoint :
POST /verifications/bank_account_lookups
curl --request POST \
--url https://api-sandbox.yousign.app/v3/verifications/bank_account_lookups \
--header 'Authorization: Bearer xxx' \
--header 'Content-Type: multipart/form-data' \
--form '[email protected]' \
--form natural_person[first_name]='John' \
--form natural_person[last_name]='Doe' \
--form workspace_id='c0840991-848c-47ed-9bfa-68c9daca4793'curl --request POST \
--url https://api-sandbox.yousign.app/v3/verifications/bank_account_lookups \
--header 'Authorization: Bearer xxx' \
--header 'Content-Type: multipart/form-data' \
--form '[email protected]' \
--form legal_person[company_name]='Youtrust' \
--form workspace_id='c0840991-848c-47ed-9bfa-68c9daca4793'Updated 22 days ago

